Skip to main content
POST
/
files
/
create-upload-url
Get file upload URL
curl --request POST \
  --url https://api.duvo.ai/v1/files/create-upload-url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fileName": "<string>",
  "contentType": "<string>"
}
'
{
  "signedUrl": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "filePath": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Body

application/json
fileName
string
required

Name of the file to upload

Minimum string length: 1
contentType
string
required

MIME type of the file

Minimum string length: 1

Response

Default Response

signedUrl
string<uri>
required

The signed URL for uploading

expiresAt
string<date-time>
required

When the URL expires

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
filePath
string
required

The path where the file will be stored